---
lang: en
title: 'API docs: repository.filterbuilder.order'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.filterbuilder.order.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [FilterBuilder](./repository.filterbuilder.md) &gt; [order](./repository.filterbuilder.order.md)

## FilterBuilder.order() method

Describe the sorting order

<b>Signature:</b>

```typescript
order(...o: (string | string[] | Order<MT>)[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  o | <code>(string &#124; string[] &#124; Order&lt;MT&gt;)[]</code> | A field name with optional direction, an array of field names, or an Order object for the field/direction pairs |

<b>Returns:</b>

`this`


